[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TCollection.GetItem

Read one item off the stream.

## Declaration

Source position: objects.pp line 414

`function TCollection.GetItem(`
`var S: TStream`
`):Pointer; virtual;`

## Description

GetItem reads a single item off the stream S, and returns a pointer to this item. This method is used internally by the Load method, and should not be used directly.

## Errors

Possible errors are the ones from TStream.Get.

## See also

TStream.Get |  | Read an object definition from the stream.
TCollection.Store |  | Write collection to a stream.